package aa.display;

import aa.mynode.FifteenNode;
/** 
 * Represents a valid user operation performed in the FifteenPanel. 
 * A valid user operation transforms the state to a different state.
 */


public class ValidUserMoveEvent {
	
	public aa.mynode.FifteenNode newState = null; //The new state after the user-operation
/**
 * ValidMoveEvent constructor 
 */
public ValidUserMoveEvent(FifteenNode newState) {
	super();
	this.newState = newState;
}
/**
 * Gets the new state after the event took place.
 * @return The new state after the user operation
 */
public aa.mynode.FifteenNode getNewState() {
	return newState;
}
}
